Subject: Re: [PATCH v2 net-next 0/7] selftests: net: Switch pmtu.sh to use the internal ovs script.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Jun 2024 07:06:54 -0700

On Tue, 25 Jun 2024 09:20:29 -0400 Aaron Conole wrote:
> > I'm still wondering if the issue is Kconfig-related (plus possibly bad
> > interaction with vng). I don't see the OVS knob enabled in the self-
> > tests config. If it's implied by some other knob, and ends-up being
> > selected as a module, vng could stumble upon loading the module at
> > runtime, especially on incremental build (at least I experience that
> > problem locally). I'm not even sure if the KCI is building
> > incrementally or not, so all the above could is quite a wild guess.
> >
> > In any case I think adding the explicit CONFIG_OPENVSWITCH=y the
> > selftest config would make the scenario more well defined.  
> 
> That is in 7/7 - but there was a collision with a netfilter knob getting
> turned on.  I can repost it as-is (just after rebasing) if you think
> that is the only issue.

Sorry for not checking it earlier, looks like the runner was missing
pyroute:

# python3 ./tools/testing/selftests/net/openvswitch/ovs-dpctl.py
Need to install the python pyroute2 package >= 0.6.

I guess run_cmd counter-productively eats the stderr output ? :(